MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ReplayGainFilterPlugin.hxx File Reference
`#include "ReplayGainMode.hxx"`
Include dependency graph for ReplayGainFilterPlugin.hxx:

Go to the source code of this file.

## Functions
PreparedFilter * | NewReplayGainFilter (const ReplayGainConfig &config)
void | replay_gain_filter_set_mixer (PreparedFilter &_filter, Mixer *mixer, unsigned base)
| Enables or disables the hardware mixer for applying replay gain. More...
void | replay_gain_filter_set_info (Filter &filter, const ReplayGainInfo *info)
| Sets a new ReplayGainInfo at the beginning of a new song. More...
void | replay_gain_filter_set_mode (Filter &filter, ReplayGainMode mode)

## Function Documentation

PreparedFilter* NewReplayGainFilter | ( | const ReplayGainConfig & | config | ) |

void replay_gain_filter_set_info | ( | Filter & | filter,
|  | const ReplayGainInfo * | info
| ) |  |

Sets a new ReplayGainInfo at the beginning of a new song.

Parameters

  info | the new ReplayGainInfo value, or nullptr if no replay gain data is available for the current song

void replay_gain_filter_set_mixer | ( | PreparedFilter & | _filter,
|  | Mixer * | mixer,
|  | unsigned | base
| ) |  |

Enables or disables the hardware mixer for applying replay gain.

Parameters

  mixer | the hardware mixer, or nullptr to fall back to software volume
  base | the base volume level for scale=1.0, between 1 and 100 (including).

void replay_gain_filter_set_mode | ( | Filter & | filter,
|  | ReplayGainMode | mode
| ) |  |